<!doctype html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <base th:href="${#request.getContextPath() + '/'}">
    <meta charset="utf-8">
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <link rel="stylesheet" href="assets/fonts/font-awesome/css/font-awesome.css"/>
    <link rel="stylesheet" href="assets/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="assets/layuiadmin/style/admin.css" media="all">
    <link rel="stylesheet" type="text/css" href="assets/js/vendor/viewer/viewer.min.css">
    <link rel="stylesheet" href="http://cdn.bootcss.com/leaflet/1.0.3/leaflet.css">
    <link rel="stylesheet" href="assets/superMap/js/geoman/leaflet-geoman.css">
</head>
<body>
<div class="layui-fluid layui-anim layui-anim-fadein">
    <div class="layui-card">
        <div class="layui-card-header">
            <span class="layui-breadcrumb" lay-filter="breadcrumb" style="visibility: visible;">
              <a class="close" href="javascript:void(0);">上级列表</a><span lay-separator="">/</span>
              <a href="javascript:void(0);"><cite>编辑内容</cite></a>
            </span>
        </div>
        <div class="layui-card-body" style="padding: 15px;">
            <form class="layui-form layui-form-pane" lay-filter="dataForm">
                <div class="layui-form-item">
                    <label class="layui-form-label" style="width: 259px;">工商执照注册号(统一社会信用代码)<span style="color: red;vertical-align: middle;">*</span></label>
                    <div class="layui-input-block" style="margin-left: 259px;">
                        <input type="text" id="licenseNum" name="licenseNum" class="layui-input" value="" placeholder="请输入工商执照注册号(统一社会信用代码)"  lay-verify="required" maxlength="18">
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label" style="width: 151px;">寄递物流企业名称<span style="color: red;vertical-align: middle;">*</span></label>
                    <div class="layui-input-block" style="margin-left: 151px;">
                        <input type="text" id="logisticsEnterpriseName" name="logisticsEnterpriseName" class="layui-input" value="" placeholder="请输入寄递物流企业名称"  lay-verify="required" maxlength="100">
                    </div>
                </div>
                <div class="layui-form-item layui-row">
                    <div class="layui-col-lg6">
                        <input type="hidden" id="enterpriseLocation" name="enterpriseLocation" class="layui-input" value="" placeholder="请输入所在地"  maxlength="36">
                        <input type="hidden" id="enterpriseLocationCode" name="enterpriseLocationCode" class="layui-input" value="" placeholder="请输入所在地编码"  maxlength="12">
                        <label class="layui-form-label">所在地<span style="color: red;vertical-align: middle;">*</span></label>
                        <div class="layui-input-block">
                            <input type="text" id="enterpriseLocationName" name="enterpriseLocationName" class="layui-input" value="" placeholder="请输入所在地名称" lay-verify="required" readonly maxlength="100">
                        </div>
                    </div>
                    <div class="layui-col-lg6">
                        <label class="layui-form-label">所属网格<span style="color: red;vertical-align: middle;">*</span></label>
                        <div class="layui-input-block layui-form" id="gridSelectTemplateBox" lay-filter="gridSelectTemplateBox"></div>
                        <script id="gridSelectTemplate" type="text/html">
                            <select id="grid" name="grid" lay-filter="grid" lay-verify="required">
                                <option value="">请选择网格</option>
                                {{# for(var i = 0, item; item = d[i++];) { }}
                                <option value="{{item.gridId}}">{{item.gridName}}</option>
                                {{# } }}
                            </select>
                        </script>
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">企业详址<span style="color: red;vertical-align: middle;">*</span></label>
                    <div class="layui-input-block">
                        <input type="text" id="enterpriseAddress" name="enterpriseAddress" class="layui-input" value="" placeholder="请输入企业祥址"  lay-verify="required" maxlength="80">
                    </div>
                </div>
                <div class="layui-form-item layui-row">
                    <div class="layui-col-lg4">
                        <label class="layui-form-label" style="width: 122px;">企业联系方式<span style="color: red;vertical-align: middle;">*</span></label>
                        <div class="layui-input-block" style="margin-left: 122px;">
                            <input type="text" id="enterprisePhone" name="enterprisePhone" class="layui-input" value="" placeholder="请输入企业联系方式"  lay-verify="required" maxlength="50">
                        </div>
                    </div>
                    <div class="layui-col-lg4">
                        <label class="layui-form-label" style="width: 137px;">企业负责人姓名<span style="color: red;vertical-align: middle;">*</span></label>
                        <div class="layui-input-block" style="margin-left: 137px;">
                            <input type="text" id="enterpriseLinkMan" name="enterpriseLinkMan" class="layui-input" value="" placeholder="请输入企业负责人姓名"  lay-verify="required" maxlength="50">
                        </div>
                    </div>
                    <div class="layui-col-lg4">
                        <label class="layui-form-label" style="width: 164px;">企业负责人联系方式<span style="color: red;vertical-align: middle;">*</span></label>
                        <div class="layui-input-block" style="margin-left: 164px;">
                            <input type="text" id="enterpriseLinkPhone" name="enterpriseLinkPhone" class="layui-input" value="" placeholder="请输入企业负责人联系方式"  lay-verify="required" maxlength="50">
                        </div>
                    </div>
                </div>
                <div class="layui-form-item layui-row">
                    <div class="layui-col-lg6">
                        <input type="hidden" id="registrationTypeName" name="registrationTypeName" class="layui-input" value="" placeholder="请输入登记注册类型名称"  maxlength="50">
                        <input type="hidden" id="registrationTypeCode" name="registrationTypeCode" class="layui-input" value="" placeholder="请输入登记注册类型编码"  maxlength="3">
                        <label class="layui-form-label" style="width: 122px;">登记注册类型<span style="color: red;vertical-align: middle;">*</span></label>
                        <div class="layui-input-block layui-form" style="margin-left: 122px;" id="registrationTypeSelectTemplateBox" lay-filter="registrationTypeSelectTemplateBox"></div>
                        <script id="registrationTypeSelectTemplate" type="text/html">
                            <select id="registrationType" name="registrationType" lay-filter="registrationType" lay-verify="required">
                                <option value="">请选择登记注册类型</option>
                                {{# for(var i = 0, item; item = d[i++];) { }}
                                <option value="{{item.dataId}},{{item.dataSummary}}">{{item.dataName}}</option>
                                {{# } }}
                            </select>
                        </script>
                    </div>
                    <div class="layui-col-lg6">
                        <input type="hidden" id="holdingSituationName" name="holdingSituationName" class="layui-input" value="" placeholder="请输入空鼓情况名称"  maxlength="50">
                        <input type="hidden" id="holdingSituationCode" name="holdingSituationCode" class="layui-input" value="" placeholder="请输入空鼓情况编码"  maxlength="3">
                        <label class="layui-form-label">控股情况<span style="color: red;vertical-align: middle;">*</span></label>
                        <div class="layui-input-block layui-form" id="holdingSituationSelectTemplateBox" lay-filter="holdingSituationSelectTemplateBox"></div>
                        <script id="holdingSituationSelectTemplate" type="text/html">
                            <select id="holdingSituation" name="holdingSituation" lay-filter="holdingSituation" lay-verify="required">
                                <option value="">请选择控股情况</option>
                                {{# for(var i = 0, item; item = d[i++];) { }}
                                <option value="{{item.dataId}},{{item.dataSummary}}">{{item.dataName}}</option>
                                {{# } }}
                            </select>
                        </script>
                    </div>
                </div>
                <div class="layui-form-item" pane>
                    <input type="hidden" id="businessNatureName" name="businessNatureName" class="layui-input" value="" placeholder="请输入经营范围名称"  maxlength="1,000">
                    <input type="hidden" id="businessNatureCode" name="businessNatureCode" class="layui-input" value="" placeholder="请输入经营范围编码"  maxlength="100">
                    <label class="layui-form-label">经营范围<span style="color: red;vertical-align: middle;">*</span></label>
                    <div class="layui-input-block layui-form" id="businessNatureCheckboxTemplateBox" lay-filter="businessNatureCheckboxTemplateBox"></div>
                    <script id="businessNatureCheckboxTemplate" type="text/html">
                        {{# for(var i = 0, item; item = d[i++];) { }}
                        <input type="checkbox" name="businessNature[{{item.dataId}},{{item.dataSummary}}]" value="{{item.dataId}},{{item.dataSummary}}" title="{{item.dataName}}" lay-verify="required">
                        {{# } }}
                    </script>
                </div>
                <div class="layui-form-item layui-row">
                    <div class="layui-col-lg6">
                        <input type="hidden" id="enterpriseTypeName" name="enterpriseTypeName" class="layui-input" value="" placeholder="请输入企业类型名称"  maxlength="50">
                        <input type="hidden" id="enterpriseTypeCode" name="enterpriseTypeCode" class="layui-input" value="" placeholder="请输入企业类型编码"  maxlength="2">
                        <label class="layui-form-label">企业类型<span style="color: red;vertical-align: middle;">*</span></label>
                        <div class="layui-input-block layui-form" id="enterpriseTypeSelectTemplateBox" lay-filter="enterpriseTypeSelectTemplateBox"></div>
                        <script id="enterpriseTypeSelectTemplate" type="text/html">
                            <select id="enterpriseType" name="enterpriseType" lay-filter="enterpriseType" lay-verify="required">
                                <option value="">请选择企业类型</option>
                                {{# for(var i = 0, item; item = d[i++];) { }}
                                <option value="{{item.dataId}},{{item.dataSummary}}">{{item.dataName}}</option>
                                {{# } }}
                            </select>
                        </script>
                    </div>
                    <div class="layui-col-lg6">
                        <label class="layui-form-label">服务品牌<span style="color: red;vertical-align: middle;">*</span></label>
                        <div class="layui-input-block">
                            <input type="text" id="serviceBrand" name="serviceBrand" class="layui-input" value="" placeholder="请输入服务品牌"  lay-verify="required" maxlength="50">
                        </div>
                    </div>
                </div>
                <div class="layui-form-item layui-row">
                    <div class="layui-col-lg4">
                        <label class="layui-form-label" style="width: 122px;">从业人员数量<span style="color: red;vertical-align: middle;">*</span></label>
                        <div class="layui-input-block" style="margin-left: 122px;">
                            <input type="number" id="employeesCount" name="employeesCount" class="layui-input" value="" placeholder="请输入从业人员数量" lay-verify="required">
                        </div>
                    </div>
                    <div class="layui-col-lg4">
                        <label class="layui-form-label" style="width: 137px;">监控摄像机数量<span style="color: red;vertical-align: middle;">*</span></label>
                        <div class="layui-input-block" style="margin-left: 137px;">
                            <input type="number" id="videoCount" name="videoCount" class="layui-input" value="" placeholder="请输入监控摄像机数量" lay-verify="required">
                        </div>
                    </div>
                    <div class="layui-col-lg4">
                        <label class="layui-form-label">X光机数量<span style="color: red;vertical-align: middle;">*</span></label>
                        <div class="layui-input-block">
                            <input type="number" id="xMachineCount" name="xMachineCount" class="layui-input" value="" placeholder="请输入X光机数量" lay-verify="required">
                        </div>
                    </div>
                </div>
                <div class="layui-form-item layui-row" pane>
                    <div class="layui-col-lg4" pane>
                        <label class="layui-form-label" style="width: 215px;">是否落实100%先验视后封箱<span style="color: red;vertical-align: middle;">*</span></label>
                        <div class="layui-input-block" style="margin-left: 215px;">
                            <input type="radio" name="isSealing" lay-filter="isSealing" value="1" title="是" checked>
                            <input type="radio" name="isSealing" lay-filter="isSealing" value="0" title="否">
                        </div>
                    </div>
                    <div class="layui-col-lg4" pane>
                        <label class="layui-form-label" style="width: 200px;">是否落实100%寄递实名制<span style="color: red;vertical-align: middle;">*</span></label>
                        <div class="layui-input-block" style="margin-left: 200px;">
                            <input type="radio" name="isRealName" lay-filter="isRealName" value="1" title="是" checked>
                            <input type="radio" name="isRealName" lay-filter="isRealName" value="0" title="否">
                        </div>
                    </div>
                    <div class="layui-col-lg4" pane>
                        <label class="layui-form-label" style="width: 194px;">是否落实100%X光机安检<span style="color: red;vertical-align: middle;">*</span></label>
                        <div class="layui-input-block" style="margin-left: 194px;">
                            <input type="radio" name="isXCheck" lay-filter="isXCheck" value="1" title="是" checked>
                            <input type="radio" name="isXCheck" lay-filter="isXCheck" value="0" title="否">
                        </div>
                    </div>
                </div>
                <div class="layui-form-item layui-row">
                    <div class="layui-col-lg6">
                        <label class="layui-form-label">经度</label>
                        <div class="layui-input-block">
                            <input type="number" step="0.01" id="longitude" name="longitude" class="layui-input" value="" placeholder="请输入经度">
                        </div>
                    </div>
                    <div class="layui-col-lg6">
                        <label class="layui-form-label">纬度</label>
                        <div class="layui-input-block">
                            <input type="number" step="0.01" id="latitude" name="latitude" class="layui-input" value="" placeholder="请输入纬度">
                        </div>
                    </div>
                </div>
                <div class="layui-row" id="mapDiv">
                    <div class="layui-col-md12 layui-col-sm12" style="padding: 0 0px;">
                        <div id="mapContainer" style="width: 100%;height: 350px;"></div>
                    </div>
                </div>
                <div class="layui-form-item layui-layout-admin">
                    <div class="layui-input-block">
                        <div class="layui-footer" style="left: 0;">
                            <button type="button" class="layui-btn" lay-submit lay-filter="submitForm">提交新增</button>
                            <button type="button" class="layui-btn layui-btn-primary close">返回上级</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
<script src="http://cdn.bootcss.com/leaflet/1.0.3/leaflet.js"></script>
<script src="assets/superMap/js/iclient-leaflet.min.js"></script>
<script src="assets/superMap/js/geoman/leaflet-geoman.min.js"></script>
<script src="assets/js/vendor/wangEditor/wangEditor.min.js"></script>
<script src="assets/js/vendor/ckplayer/ckplayer/ckplayer.js"></script>
<script src="assets/js/vendor/viewer/viewer.min.js"></script>
<script src="assets/layuiadmin/layui/layui.js"></script>
<script>
    layui.config({
        base: 'assets/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'form', 'laydate', 'laytpl'], function(){
        var $ = layui.$;
        var form = layui.form;
        var laytpl = layui.laytpl;
        var laydate = layui.laydate;
        var logisticsSafeId = top.restAjax.params(window.location.href).logisticsSafeId;

        var wangEditor = window.wangEditor;
        var wangEditorObj = {};
        var viewerObj = {};
        var map;
        var marker;

        function initMap(longitude, latitude) {
            var url1 = 'https://iserver.supermap.io/iserver/services/map-china400/rest/maps/China';
            map = L.map('mapContainer', {
                crs: L.CRS.EPSG3857,
                center: {lon: 113.11412662267688, lat: 40.98896497581636},
                maxZoom: 18,
                zoom: 8,
                boxZoom: false,
                scrollWheelZoom: true,
                dragging: true,
                doubleClickZoom: false,
                zoomControl: false
            });
            L.control.zoom().addTo(map);
            L.control.scale().addTo(map);
            L.supermap.tiledMapLayer(url1, {noWrap: true}).addTo(map);
            marker = L.marker();
            var latLng = [latitude, longitude];
            marker = L.marker(latLng, {
                draggable:false,
                riseOnHover: true
            }).addTo(map)
            map.on('click',addPoint);
        }

        function addPoint(e){
            if(marker)map.removeLayer(marker);
            marker = L.marker(e.latlng, {
                draggable:false,
                riseOnHover: true
            }).addTo(map)
            $('#longitude').val(e.latlng.lng);
            $('#latitude').val(e.latlng.lat);
        }

        // 专业特长
        var businessNature = [];
        var businessNatureName = [];
        var businessNatureCode = [];

        form.verify({
            integer: [
                /^[1-9]\d*$/
                , '只能输入正整数'
            ]
        });

        form.on('checkbox', function(data) {
            var value = data.elem.value;
            var valueArr = value.split(',');
            var name = data.elem.title;
            if (data.elem.checked) {
                if (2 == valueArr.length) {
                    var businessNatureObj = {};
                    businessNatureObj['id'] = valueArr[0];
                    businessNature.push(businessNatureObj);

                    var businessNatureCodeObj = {};
                    businessNatureCodeObj['code'] = valueArr[1];
                    businessNatureCode.push(businessNatureCodeObj);
                }

                var businessNatureNameObj = {};
                businessNatureNameObj['name'] = name;
                businessNatureName.push(businessNatureNameObj);
            } else {
                for (var idIdx in businessNature) {
                    if (2 == valueArr.length) {
                        if (valueArr[0] == businessNature[idIdx]['id']) {
                            businessNature.splice(idIdx, 1);
                        }
                    }
                }
                for (var codeIdx in businessNatureCode) {
                    if (2 == valueArr.length) {
                        if (valueArr[1] == businessNatureCode[codeIdx]['code']) {
                            businessNatureCode.splice(codeIdx, 1);
                        }
                    }
                }
                for (var nameIdx in businessNatureName) {
                    if (name == businessNatureName[nameIdx]['name']) {
                        businessNatureName.splice(nameIdx, 1);
                    }
                }
            }
        })

        // 登记注册类型change事件
        form.on('select(registrationType)', function(data){
            if(!data.value) {

            }else {
                var valueArr = data.value.split(',');
                if(2 == valueArr.length) {
                    var name = $('#registrationType option:selected').text();
                    $('#registrationType option:selected').val(valueArr[0]);
                    $('#registrationTypeName').val(name);
                    $('#registrationTypeCode').val(valueArr[1]);
                }
            }
            form.render("select");
        });

        // 控股情况change事件
        form.on('select(holdingSituation)', function(data){
            if(!data.value) {

            }else {
                var valueArr = data.value.split(',');
                if(2 == valueArr.length) {
                    var name = $('#holdingSituation option:selected').text();
                    $('#holdingSituation option:selected').val(valueArr[0]);
                    $('#holdingSituationName').val(name);
                    $('#holdingSituationCode').val(valueArr[1]);
                }
            }
            form.render("select");
        });

        // 企业类型change事件
        form.on('select(enterpriseType)', function(data){
            if(!data.value) {

            }else {
                var valueArr = data.value.split(',');
                if(2 == valueArr.length) {
                    var name = $('#enterpriseType option:selected').text();
                    $('#enterpriseType option:selected').val(valueArr[0]);
                    $('#enterpriseTypeName').val(name);
                    $('#enterpriseTypeCode').val(valueArr[1]);
                }
            }
            form.render("select");
        });

        // 选择所在地
        $(document).on('click', '#enterpriseLocationName', function() {
            top.dialog.open({
                title: '选择地区',
                url: top.restAjax.path('route/mongo/area/get-select?areaName={areaName}', [encodeURI($('#enterpriseLocationName').val())]),
                width: '800px',
                height: '225px',
                onClose: function () {
                    var selectedAreaArray = top.dialog.dialogData.selectedAreaArray;
                    var areaCode = '';
                    var areaName = '';
                    if (selectedAreaArray.length > 0) {
                        areaCode = selectedAreaArray[selectedAreaArray.length - 1].areaCode;
                        for (var i = 0, item; item = selectedAreaArray[i++];) {
                            if (areaName) {
                                areaName += ',';
                            }
                            areaName += item.areaName;
                        }
                        $('#enterpriseLocationCode').val(areaCode);
                        $('#enterpriseLocationName').val(areaName);
                    }
                    initGridSelect(areaCode);
                }
            })
        });

        // 初始化地区网格
        function initGridSelect(areaCode, selectValue) {
            if(!areaCode) {
                laytpl(document.getElementById('gridSelectTemplate').innerHTML).render([], function(html) {
                    document.getElementById('gridSelectTemplateBox').innerHTML = html;
                });
                form.render('select', 'gridSelectTemplateBox');
                return;
            }
            top.restAjax.get(top.restAjax.path('api/grid/grid-list/{areaCode}', [areaCode]), {}, null, function(code, data, args) {
                laytpl(document.getElementById('gridSelectTemplate').innerHTML).render(data, function(html) {
                    document.getElementById('gridSelectTemplateBox').innerHTML = html;
                });
                form.render('select', 'gridSelectTemplateBox');

                var selectObj = {};
                selectObj['grid'] = selectValue;
                form.val('dataForm', selectObj);
            }, function(code, data) {
                top.dialog.msg(data.msg);
            });
        }

        function closeBox() {
            parent.layer.close(parent.layer.getFrameIndex(window.name));
        }

        // 初始化登记注册类型字典表ID下拉选择
        function initRegistrationTypeSelect(selectValue) {
            top.restAjax.get(top.restAjax.path('api/mongo/data/list-all/parent-id/{dataParentId}', ['0c0ece03-8256-4ddb-bb67-75df7f12807a']), {}, null, function(code, data, args) {
                laytpl(document.getElementById('registrationTypeSelectTemplate').innerHTML).render(data, function(html) {
                    document.getElementById('registrationTypeSelectTemplateBox').innerHTML = html;
                });
                form.render('select', 'registrationTypeSelectTemplateBox');

                var selectObj = {};
                selectObj['registrationType'] = selectValue;
                form.val('dataForm', selectObj);
            }, function(code, data) {
                top.dialog.msg(data.msg);
            });
        }

        // 初始化控股情况字典表ID下拉选择
        function initHoldingSituationSelect(selectValue) {
            top.restAjax.get(top.restAjax.path('api/mongo/data/list-all/parent-id/{dataParentId}', ['171b5ede-dce7-4b84-9cc8-0904c8b7c6fa']), {}, null, function(code, data, args) {
                laytpl(document.getElementById('holdingSituationSelectTemplate').innerHTML).render(data, function(html) {
                    document.getElementById('holdingSituationSelectTemplateBox').innerHTML = html;
                });
                form.render('select', 'holdingSituationSelectTemplateBox');

                var selectObj = {};
                selectObj['holdingSituation'] = selectValue;
                form.val('dataForm', selectObj);
            }, function(code, data) {
                top.dialog.msg(data.msg);
            });
        }

        // 初始化专业特长复选
        function initBusinessNatureCheckbox(selectValues) {
            top.restAjax.get(top.restAjax.path('api/mongo/data/list-all/parent-id/{dataParentId}', ['434e9e8a-ed19-4682-876c-7fd0e31f62be']), {}, null, function(code, data, args) {
                laytpl(document.getElementById('businessNatureCheckboxTemplate').innerHTML).render(data, function(html) {
                    document.getElementById('businessNatureCheckboxTemplateBox').innerHTML = html;
                });
                form.render('checkbox', 'businessNatureCheckboxTemplateBox');

                var checkboxValue = selectValues.split('_');
                var checkboxObj = {};
                for(var j = 0, checkbox = checkboxValue[j]; checkbox = checkboxValue[j++];) {
                    checkboxObj['businessNature['+ checkbox +']'] = true;
                }
                form.val('dataForm', checkboxObj);
            }, function(code, data) {
                top.dialog.msg(data.msg);
            });
        }

        // 初始化企业类型字典表ID下拉选择
        function initEnterpriseTypeSelect(selectValue) {
            top.restAjax.get(top.restAjax.path('api/mongo/data/list-all/parent-id/{dataParentId}', ['59b780b2-d230-49d5-b793-33ff660a58bf']), {}, null, function(code, data, args) {
                laytpl(document.getElementById('enterpriseTypeSelectTemplate').innerHTML).render(data, function(html) {
                    document.getElementById('enterpriseTypeSelectTemplateBox').innerHTML = html;
                });
                form.render('select', 'enterpriseTypeSelectTemplateBox');

                var selectObj = {};
                selectObj['enterpriseType'] = selectValue;
                form.val('dataForm', selectObj);
            }, function(code, data) {
                top.dialog.msg(data.msg);
            });
        }

        function setInitData(value, type, objArr) {
            if(null != value && '' != value && typeof(value) != 'undefined') {
                var valueArr = value.split(',');
                for(var i=0;i<valueArr.length;i++) {
                    var obj = {};
                    obj[type] = valueArr[i];
                    objArr.push(obj);
                }
            }
        }

        // 初始化内容
        function initData() {
            var loadLayerIndex;
            top.restAjax.get(top.restAjax.path('api/logisticssafe/get/{logisticsSafeId}', [logisticsSafeId]), {}, null, function(code, data) {
                var dataFormData = {};
                for(var i in data) {
                    dataFormData[i] = data[i] +'';
                }
                form.val('dataForm', dataFormData);
                form.render(null, 'dataForm');
                initRegistrationTypeSelect(data['registrationType'] + ',' + data['registrationTypeCode']);
                initHoldingSituationSelect(data['holdingSituation'] + ',' + data['holdingSituationCode']);
                initBusinessNatureCheckbox(data['businessNatureValue']);
                initEnterpriseTypeSelect(data['enterpriseType'] + ',' + data['enterpriseTypeCode']);
                initMap(data['longitude'], data['latitude']);
                setInitData(data['businessNature'], 'id', businessNature);
                setInitData(data['businessNatureName'], 'name', businessNatureName);
                setInitData(data['businessNatureCode'], 'code', businessNatureCode);
                initGridSelect(data['enterpriseLocationCode'], data['grid']);
            }, function(code, data) {
                top.dialog.msg(data.msg);
            }, function() {
                loadLayerIndex = top.dialog.msg(top.dataMessage.loading, {icon: 16, time: 0, shade: 0.3});
            }, function() {
                top.dialog.close(loadLayerIndex);
            });
        }
        initData();

        function setData(data) {
            var value = '';
            for(var key = 0, item; item = data[key++];) {
                if(key > 1) {
                    value += ',';
                }
                for(var name in item) {
                    value += item[name];
                }
            }
            return value;
        }

        function changeFun(value, id, formData) {
            var valueArr = value.split(',');
            if(2 == valueArr.length) {
                var name = $('#' + id + 'option:selected').text();
                formData.field[id] = valueArr[0];
                $('#' + id + 'Name').val(name);
                $('#' + id + 'Code').val(valueArr[1]);
            }
        }
        
        // 提交表单
        form.on('submit(submitForm)', function(formData) {
            if(businessNature == null || businessNature == '' || businessNature.length < 1) {
                top.dialog.msg('经营范围不能为空');
                return false;
            }
            changeFun(formData.field['registrationType'], 'registrationType', formData);
            changeFun(formData.field['holdingSituation'], 'holdingSituation', formData);
            changeFun(formData.field['enterpriseType'], 'enterpriseType', formData);
            if(businessNature.length != 0) {
                var value = setData(businessNature);
                formData.field['businessNature'] = value;
            }
            if(businessNatureCode.length != 0) {
                var value = setData(businessNatureCode);
                formData.field['businessNatureCode'] = value;
            }
            if(businessNatureName.length != 0) {
                var value = setData(businessNatureName);
                formData.field['businessNatureName'] = value;
            }
            top.dialog.confirm(top.dataMessage.commit, function(index) {
                top.dialog.close(index);
                var loadLayerIndex;
                top.restAjax.put(top.restAjax.path('api/logisticssafe/update/{logisticsSafeId}', [logisticsSafeId]), formData.field, null, function(code, data) {
                    var layerIndex = top.dialog.msg(top.dataMessage.updateSuccess, {
                        time: 0,
                        btn: [top.dataMessage.button.yes, top.dataMessage.button.no],
                        shade: 0.3,
                        yes: function(index) {
                            top.dialog.close(index);
                            window.location.reload();
                        },
                        btn2: function() {
                            closeBox();
                        }
                    });
                }, function(code, data) {
                    top.dialog.msg(data.msg);
                }, function() {
                    loadLayerIndex = top.dialog.msg(top.dataMessage.committing, {icon: 16, time: 0, shade: 0.3});
                }, function() {
                    top.dialog.close(loadLayerIndex);
                });
            });
            return false;
        });

        $('.close').on('click', function() {
            closeBox();
        });
    });
</script>
</body>
</html>